File Index

Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxinputinit.c File Reference

`#include "dmxinputinit.h"`
`#include "dmxextension.h"`
`#include "dmxdummy.h"`
`#include "dmxbackend.h"`
`#include "dmxconsole.h"`
`#include "dmxcommon.h"`
`#include "dmxevents.h"`
`#include "dmxmotion.h"`
`#include "dmxeq.h"`
`#include "dmxprop.h"`
`#include "config/dmxconfig.h"`
`#include "dmxcursor.h"`
`#include "lnx-keyboard.h"`
`#include "lnx-ms.h"`
`#include "lnx-ps2.h"`
`#include "usb-keyboard.h"`
`#include "usb-mouse.h"`
`#include "usb-other.h"`
`#include "usb-common.h"`
`#include "dmxsigio.h"`
`#include "dmxarg.h"`
`#include "inputstr.h"`
`#include "input.h"`
`#include "mipointer.h"`
`#include "windowstr.h"`
`#include "XI.h"`
`#include "XIproto.h"`
`#include "exevents.h"`
`#include "extinit.h"`

## Functions
void | dmxChangePointerControl (DeviceIntPtr pDevice, PtrCtrl *ctrl)
void | dmxKeyboardKbdCtrlProc (DeviceIntPtr pDevice, KeybdCtrl *ctrl)
void | dmxKeyboardBellProc (int percent, DeviceIntPtr pDevice, pointer ctrl, int unknown)
DMXLocalInputInfoPtr | dmxInputCopyLocal (DMXInputInfo *dmxInput, DMXLocalInputInfoPtr s)
void | dmxInputReInit (DMXInputInfo *dmxInput)
void | dmxInputLateReInit (DMXInputInfo *dmxInput)
void | dmxInputInit (DMXInputInfo *dmxInput)
void | dmxInputFree (DMXInputInfo *dmxInput)
void | dmxInputLogDevices (void)
int | dmxInputDetach (DMXInputInfo *dmxInput)
void | dmxInputDetachAll (DMXScreenInfo *dmxScreen)
int | dmxInputDetachId (int id)

## Detailed Description

This file provides generic input support. Functions here set up input and lead to the calling of low-level device drivers for input.

## Function Documentation

void dmxChangePointerControl | ( | DeviceIntPtr | pDevice,
|  | PtrCtrl * | ctrl
| ) |

| Change the pointer control information for the pDevice. If the device sends core events, then also change the control information for all of the pointer devices that send core events.

DMXLocalInputInfoPtr dmxInputCopyLocal | ( | DMXInputInfo * | dmxInput,
|  | DMXLocalInputInfoPtr | s
| ) |

| Copy the local input information from s into a new devs slot in dmxInput.

int dmxInputDetach | ( | DMXInputInfo * | dmxInput | ) |

| Detach an input

void dmxInputDetachAll | ( | DMXScreenInfo * | dmxScreen | ) |

| Search for input associated with dmxScreen, and detach.

int dmxInputDetachId | ( | int | id | ) |

| Search for input associated with deviceId, and detach.

void dmxInputFree | ( | DMXInputInfo * | dmxInput | ) |

| Free all of the memory associated with dmxInput

void dmxInputInit | ( | DMXInputInfo * | dmxInput | ) |

| Initialize all of the devices described in dmxInput.

void dmxInputLateReInit | ( | DMXInputInfo * | dmxInput | ) |

| Re-initialize all the devices described in dmxInput. Called from #dmxReconfig after the cursor is redisplayed.

void dmxInputLogDevices | ( | void |  | ) |

| Log information about all of the known devices using dmxLog().

void dmxInputReInit | ( | DMXInputInfo * | dmxInput | ) |

| Re-initialize all the devices described in dmxInput. Called from #dmxReconfig before the cursor is redisplayed.

void dmxKeyboardBellProc | ( | int | percent,
|  | DeviceIntPtr | pDevice,
|  | pointer | ctrl,
|  | int | unknown
| ) |

| Sound the bell on the device. If the device send core events, then sound the bell on all of the devices that send core events.

void dmxKeyboardKbdCtrlProc | ( | DeviceIntPtr | pDevice,
|  | KeybdCtrl * | ctrl
| ) |

| Change the keyboard control information for the pDevice. If the device sends core events, then also change the control information for all of the keyboard devices that send core events.